<div>
  <h2 id="page-heading" data-cy="DisciplinaHeading">
    <span jhiTranslate="matrixApp.disciplina.home.title">Disciplinas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.disciplina.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-disciplina"
        [routerLink]="['/disciplina/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.disciplina.home.createLabel">Criar novo Disciplina</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="disciplinas?.length === 0">
    <span jhiTranslate="matrixApp.disciplina.home.notFound">Nenhum Disciplina encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="disciplinas && disciplinas.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.disciplina.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.disciplina.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="periodo.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.disciplina.periodo">Periodo</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="trilha.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.disciplina.trilha">Trilha</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let disciplina of disciplinas; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/disciplina', disciplina.id, 'view']">{{ disciplina.id }}</a>
          </td>
          <td>{{ disciplina.descricao }}</td>
          <td>
            <div *ngIf="disciplina.periodo">
              <a [routerLink]="['/periodo', disciplina.periodo.id, 'view']">{{ disciplina.periodo.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="disciplina.trilha">
              <a [routerLink]="['/trilha', disciplina.trilha.id, 'view']">{{ disciplina.trilha.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/disciplina', disciplina.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/disciplina', disciplina.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(disciplina)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
